
<!DOCTYPE html>

<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />

    <title>varnishlog &#8212; Varnish version 6.0.11 documentation</title>
    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="../_static/classic.css" />
    
    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
    <script src="../_static/jquery.js"></script>
    <script src="../_static/underscore.js"></script>
    <script src="../_static/doctools.js"></script>
    
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
    <link rel="next" title="varnishncsa" href="varnishncsa.html" />
    <link rel="prev" title="varnishhist" href="varnishhist.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="varnishncsa.html" title="varnishncsa"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="varnishhist.html" title="varnishhist"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../index.html">Varnish version 6.0.11 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="index.html" accesskey="U">The Varnish Reference Manual</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">varnishlog</a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <section id="varnishlog">
<span id="varnishlog-1"></span><h1>varnishlog<a class="headerlink" href="#varnishlog" title="Permalink to this headline">¶</a></h1>
<section id="display-varnish-logs">
<h2>Display Varnish logs<a class="headerlink" href="#display-varnish-logs" title="Permalink to this headline">¶</a></h2>
<dl class="field-list simple">
<dt class="field-odd">Manual section</dt>
<dd class="field-odd"><p>1</p>
</dd>
</dl>
<section id="synopsis">
<h3>SYNOPSIS<a class="headerlink" href="#synopsis" title="Permalink to this headline">¶</a></h3>
<p>varnishlog [-a] [-A] [-b] [-c] [-C] [-d] [-D] [-g &lt;session|request|vxid|raw&gt;] [-h] [-i &lt;taglist&gt;] [-I &lt;[taglist:]regex&gt;] [-k &lt;num&gt;] [-L &lt;limit&gt;] [-n &lt;dir&gt;] [-P &lt;file&gt;] [-q &lt;query&gt;] [-r &lt;filename&gt;] [-R &lt;limit[/duration]&gt;] [-t &lt;seconds|off&gt;] [-T &lt;seconds&gt;] [-v] [-V] [-w &lt;filename&gt;] [-x &lt;taglist&gt;] [-X &lt;[taglist:]regex&gt;]</p>
</section>
<section id="options">
<h3>OPTIONS<a class="headerlink" href="#options" title="Permalink to this headline">¶</a></h3>
<p>The following options are available:</p>
<dl class="option-list">
<dt><kbd><span class="option">-a</span></kbd></dt>
<dd><p>When writing output to a file with the -w option, append to it rather than overwrite it.</p>
</dd>
<dt><kbd><span class="option">-A</span></kbd></dt>
<dd><p>When writing output to a file with the -w option, output data in ascii format.</p>
</dd>
<dt><kbd><span class="option">-b</span></kbd></dt>
<dd><p>Only display transactions and log records coming from backend communication.</p>
</dd>
<dt><kbd><span class="option">-c</span></kbd></dt>
<dd><p>Only display transactions and log records coming from client communication.</p>
</dd>
<dt><kbd><span class="option">-C</span></kbd></dt>
<dd><p>Do all regular expression and string matching caseless.</p>
</dd>
<dt><kbd><span class="option">-d</span></kbd></dt>
<dd><p>Process log records at the head of the log and exit.</p>
</dd>
<dt><kbd><span class="option">-D</span></kbd></dt>
<dd><p>Daemonize.</p>
</dd>
<dt><kbd><span class="option">-g <var>&lt;session|request|vxid|raw&gt;</var></span></kbd></dt>
<dd><p>The grouping of the log records. The default is to group by vxid.</p>
</dd>
<dt><kbd><span class="option">-h</span></kbd></dt>
<dd><p>Print program usage and exit</p>
</dd>
<dt><kbd><span class="option">-i <var>&lt;taglist&gt;</var></span></kbd></dt>
<dd><p>Include log records of these tags in output. Taglist is a comma-separated list of tag globs. Multiple -i options may be given.</p>
<p>If a tag include option is the first of any tag selection options, all tags are first marked excluded.</p>
</dd>
<dt><kbd><span class="option">-I <var>&lt;[taglist:]regex&gt;</var></span></kbd></dt>
<dd><p>Include by regex matching. Output only records matching taglist and regular expression. Applies to any tag if taglist is absent. Multiple -I options may be given.</p>
<p>If a tag include option is the first of any tag selection options, all tags are first marked excluded.</p>
</dd>
<dt><kbd><span class="option">-k <var>&lt;num&gt;</var></span></kbd></dt>
<dd><p>Process this number of matching log transactions before exiting.</p>
</dd>
<dt><kbd><span class="option">-L <var>&lt;limit&gt;</var></span></kbd></dt>
<dd><p>Sets the upper limit of incomplete transactions kept before the oldest transaction is force completed. A warning record is synthesized when this happens. This setting keeps an upper bound on the memory usage of running queries. Defaults to 1000 transactions.</p>
</dd>
<dt><kbd><span class="option">-n <var>&lt;dir&gt;</var></span></kbd></dt>
<dd><p>Specify the varnishd working directory (also known as instance name) to get logs from. If -n is not specified, the host name is used.</p>
</dd>
<dt><kbd><span class="option">-P <var>&lt;file&gt;</var></span></kbd></dt>
<dd><p>Write the process’ PID to the specified file.</p>
</dd>
<dt><kbd><span class="option">-q <var>&lt;query&gt;</var></span></kbd></dt>
<dd><p>Specifies the VSL query to use.</p>
</dd>
<dt><kbd><span class="option">-r <var>&lt;filename&gt;</var></span></kbd></dt>
<dd><p>Read log in binary file format from this file. The file can be created with <code class="docutils literal notranslate"><span class="pre">varnishlog</span> <span class="pre">-w</span> <span class="pre">filename</span></code>.</p>
</dd>
<dt><kbd><span class="option">-R <var>&lt;limit[/duration]&gt;</var></span></kbd></dt>
<dd><p>Restrict the output to the specified limit. Transactions exceeding the limit will be suppressed. The limit is specified as the maximum number of transactions (with respect to the chosen grouping method) and an optional time period. If no duration is specified, a default of <code class="docutils literal notranslate"><span class="pre">s</span></code> is used. The duration field can be formatted as in VCL (e.g. <code class="docutils literal notranslate"><span class="pre">-R</span> <span class="pre">10/2m</span></code>) or as a simple time period without the prefix (e.g. <code class="docutils literal notranslate"><span class="pre">-R</span> <span class="pre">5/m</span></code>). When in <code class="docutils literal notranslate"><span class="pre">-g</span> <span class="pre">raw</span></code> grouping mode, this setting can not be used alongside <code class="docutils literal notranslate"><span class="pre">-i</span></code>, <code class="docutils literal notranslate"><span class="pre">-I</span></code>, <code class="docutils literal notranslate"><span class="pre">-x</span></code> or <code class="docutils literal notranslate"><span class="pre">-X</span></code>, and we advise using <code class="docutils literal notranslate"><span class="pre">-q</span></code> instead.</p>
</dd>
<dt><kbd><span class="option">-t <var>&lt;seconds|off&gt;</var></span></kbd></dt>
<dd><p>Timeout before returning error on initial VSM connection. If set the VSM connection is retried every 0.5 seconds for this many seconds. If zero the connection is attempted only once and will fail immediately if unsuccessful. If set to “off”, the connection will not fail, allowing the utility to start and wait indefinetely for the Varnish instance to appear.  Defaults to 5 seconds.</p>
</dd>
<dt><kbd><span class="option">-T <var>&lt;seconds&gt;</var></span></kbd></dt>
<dd><p>Sets the transaction timeout in seconds. This defines the maximum number of seconds elapsed between a Begin tag and the End tag. If the timeout expires, a warning record is synthesized and the transaction is force completed. Defaults to 120 seconds.</p>
</dd>
<dt><kbd><span class="option">-v</span></kbd></dt>
<dd><p>Use verbose output on record set printing, giving the VXID on every log line. Without this option, the VXID will only be given on the header of that transaction.</p>
</dd>
<dt><kbd><span class="option">-V</span></kbd></dt>
<dd><p>Print version information and exit.</p>
</dd>
<dt><kbd><span class="option">-w <var>&lt;filename&gt;</var></span></kbd></dt>
<dd><p>Redirect output to file. The file will be overwritten unless the -a option was specified. If the application receives a SIGHUP in daemon mode the file will be  reopened allowing the old one to be rotated away. The file can then be read by varnishlog and other tools with the -r option, unless the -A option was specified. This option is required when running in daemon mode.</p>
</dd>
<dt><kbd><span class="option">-x <var>&lt;taglist&gt;</var></span></kbd></dt>
<dd><p>Exclude log records of these tags in output. Taglist is a comma-separated list of tag globs. Multiple -x options may be given.</p>
</dd>
<dt><kbd><span class="option">-X <var>&lt;[taglist:]regex&gt;</var></span></kbd></dt>
<dd><p>Exclude by regex matching. Do not output records matching taglist and regular expression. Applies to any tag if taglist is absent. Multiple -X options may be given.</p>
</dd>
<dt><kbd><span class="option">--optstring</span></kbd></dt>
<dd><p>Print the optstring parameter to <code class="docutils literal notranslate"><span class="pre">getopt(3)</span></code> to help writing wrapper scripts.</p>
</dd>
</dl>
</section>
<section id="signals">
<h3>SIGNALS<a class="headerlink" href="#signals" title="Permalink to this headline">¶</a></h3>
<ul>
<li><p>SIGHUP</p>
<p>Rotate the log file (see -w option)</p>
</li>
<li><p>SIGUSR1</p>
<p>Flush any outstanding transactions</p>
</li>
</ul>
</section>
<section id="see-also">
<h3>SEE ALSO<a class="headerlink" href="#see-also" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p><a class="reference internal" href="varnishd.html#varnishd-1"><span class="std std-ref">varnishd</span></a></p></li>
<li><p><a class="reference internal" href="varnishhist.html#varnishhist-1"><span class="std std-ref">varnishhist</span></a></p></li>
<li><p><a class="reference internal" href="varnishncsa.html#varnishncsa-1"><span class="std std-ref">varnishncsa</span></a></p></li>
<li><p><a class="reference internal" href="varnishstat.html#varnishstat-1"><span class="std std-ref">varnishstat</span></a></p></li>
<li><p><a class="reference internal" href="varnishtop.html#varnishtop-1"><span class="std std-ref">varnishtop</span></a></p></li>
<li><p><a class="reference internal" href="vsl.html#vsl-7"><span class="std std-ref">VSL</span></a></p></li>
<li><p><a class="reference internal" href="vsl-query.html#vsl-query-7"><span class="std std-ref">vsl-query</span></a></p></li>
</ul>
</section>
<section id="history">
<h3>HISTORY<a class="headerlink" href="#history" title="Permalink to this headline">¶</a></h3>
<p>The varnishlog utility was developed by Poul-Henning Kamp
&lt;<a class="reference external" href="mailto:phk&#37;&#52;&#48;phk&#46;freebsd&#46;dk">phk<span>&#64;</span>phk<span>&#46;</span>freebsd<span>&#46;</span>dk</a>&gt; in cooperation with Verdens Gang AS and
Varnish Software AS. This manual page was initially written by Dag-Erling
Smørgrav, and later updated by Per Buer and Martin Blix Grydeland.</p>
</section>
<section id="copyright">
<h3>COPYRIGHT<a class="headerlink" href="#copyright" title="Permalink to this headline">¶</a></h3>
<p>This document is licensed under the same licence as Varnish
itself. See LICENCE for details.</p>
<ul class="simple">
<li><p>Copyright (c) 2006 Verdens Gang AS</p></li>
<li><p>Copyright (c) 2006-2015 Varnish Software AS</p></li>
</ul>
</section>
</section>
</section>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../index.html">Table of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">varnishlog</a><ul>
<li><a class="reference internal" href="#display-varnish-logs">Display Varnish logs</a><ul>
<li><a class="reference internal" href="#synopsis">SYNOPSIS</a></li>
<li><a class="reference internal" href="#options">OPTIONS</a></li>
<li><a class="reference internal" href="#signals">SIGNALS</a></li>
<li><a class="reference internal" href="#see-also">SEE ALSO</a></li>
<li><a class="reference internal" href="#history">HISTORY</a></li>
<li><a class="reference internal" href="#copyright">COPYRIGHT</a></li>
</ul>
</li>
</ul>
</li>
</ul>

  <h4>Previous topic</h4>
  <p class="topless"><a href="varnishhist.html"
                        title="previous chapter">varnishhist</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="varnishncsa.html"
                        title="next chapter">varnishncsa</a></p>
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="../_sources/reference/varnishlog.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="varnishncsa.html" title="varnishncsa"
             >next</a> |</li>
        <li class="right" >
          <a href="varnishhist.html" title="varnishhist"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../index.html">Varnish version 6.0.11 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="index.html" >The Varnish Reference Manual</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">varnishlog</a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2010-2014, Varnish Software AS.
      Created using <a href="https://www.sphinx-doc.org/">Sphinx</a> 4.3.2.
    </div>
  </body>
</html>